<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Crowdlending Platform</title>
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.1/font/bootstrap-icons.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

    <script src="assets/js/data.js"></script>

</head>
<style>
    #borrowedItemsList {
        list-style-type: none;
        /* Enlève les bullet points */
        padding-left: 0;
        /* Enlève le padding par défaut à gauche */
    }

    #borrowedItemsList li {
        font-size: 1.1rem;
        /* Augmente légèrement la taille de la police */
        margin-bottom: 10px;
        /* Ajoute un espace entre les éléments */
        padding: 5px;
        /* Ajoute un petit padding pour chaque élément */
        border: 1px solid #ddd;
        /* Ajoute une bordure pour distinguer les éléments */
        border-radius: 5px;
        /* Arrondit les coins */
    }

    .hide-by-default {
        display: none;




    }

    .nav-icons {
        flex: 0 0 auto;
        /* Cette règle garantit que les icônes ne prennent que l'espace nécessaire */
        position: absolute;
    }
</style>

<body>

    <nav class="navbar sticky-top navbar-dark bg-primary">
        <a class="navbar-brand mx-auto" href="#">CrowdLending Plateform</a>
        <div class="nav-icons d-flex justify-content-end">
            <div class="nav-item dropdown mr-3">
                <i class="fas fa-shopping-cart btn btn-lg btn-dark" id="cartIcon" data-toggle="dropdown"
                    aria-haspopup="true" aria-expanded="false">
                    <span class="position-absolute top-0 start-100 translate-middle badge rounded-pill bg-danger"
                        id="bdg">
                    </span>
                </i>


            </div>
            <!-- Icône de l'utilisateur -->
            <div class="nav-item dropdown">
                <i class="bi bi-person-circle btn btn-lg btn-dark" id="user-icon" data-toggle="dropdown"
                    aria-haspopup="true" aria-expanded="false"></i>
                <div class="dropdown-menu bg-primary" aria-labelledby="user-icon">
                    <h6 class="dropdown-header text-white"><strong id="user_id"></strong></h6>
                    <button class="btn btn-danger" id="exit-icon" data-toggle="modal" data-target="#logoutModal"
                        data-trigger="hover" data-content="Se déconnecter">
                        <i class="bi bi-box-arrow-right">Déconnexion</i>
                    </button>
                </div>
            </div>


        </div>

    </nav>


    <div class="modal fade" id="logoutModal" tabindex="-1" aria-labelledby="logoutModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="logoutModalLabel">Confirmation</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    Voulez-vous vraiment vous déconnecter ?
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" onclick="logout()">Oui</button>
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Non</button>
                </div>
            </div>
        </div>
    </div>
    <div class="container mt-5">
        <div class="row">
            <div class="col-12">
                <select id="itemSelect" class="form-control" onchange="displayItemDetails()">
                    <option>Select an item</option>
                </select>
            </div>
        </div>
        <div class="jumbotron mt-4">
            <p id="noSelectItem" class="text-center">No item selected</p>
            <div class="row">
                <div class="col-6">
                    <img id="itemImage" src="" width="100%">
                </div>
                <div class="col-6">
                    <h2 id="itemName"></h2>
                    <p id="itemDescription"></p>

                    <span id="stateStatus" class="badge badge-pill badge-light"></span>

                    <span id="itemStatus" class="badge badge-pill"></span>
                    <p id="nextLendDateDisplay"></p>


                    <br>

                    <!-- Ajout du texte pour la quantité disponible -->
                    <div id="quantityAvailableText" class="mt-2 hide-by-default">Quantité disponible : <span
                            id="quantityAvailable"></span></div>
                    <!---->

                    <!-- Ajout du texte pour l'indisponibilité -->
                    <div class="mt-2" id="unavailableMessage" style="color: #de1515; font-weight: bold;"></div>


                    <div class="row mt-4">
                        <div class="col-4 d-flex justify-content-end align-items-center">
                            <button id="removeQuantity" class="btn btn-danger btn-lg hide-by-default">-</button>
                        </div>
                        <div class="col-4 d-flex justify-content-center align-items-center">
                            <label for="quantity" required class="hide-by-default">Quantity: </label>
                            <input type="number" id="quantity" class="form-control hide-by-default" value="1" min="1"
                                max="3">
                        </div>
                        <div class="col-4 d-flex justify-content-start align-items-center">
                            <button id="addQuantity" class="btn btn-success btn-lg hide-by-default">+</button>
                        </div>
                    </div>

                    <div class="row mt-2"> <!-- Ajout de la classe mt-2 pour ajouter un petit écart -->
                        <div class="col-12">
                            <label for="date_rendu" required class="hide-by-default">Date de retour :</label>
                            <input type="date" id="date_rendu" name="date_rendu" required class="hide-by-default">
                        </div>
                    </div>
                    <button id="borrowBtn" class="btn btn-primary mt-4 d-none btn-lg btn-block"
                        onclick="borrowBtnClickHandler()">Borrow</button>
                </div>
            </div>
        </div>

        <!--PARTIE DE MAJID -->





        <!-- Popup pour afficher les objets empruntés -->
        <div id="myItemsPopup"
            style="display:none; position: fixed; top: 50%; left: 50%; transform: translate(-50%, -50%); padding: 20px; background-color: white; border: 1px solid #ccc; border-radius: 10px; box-shadow: 0px 0px 15px rgba(0,0,0,0.2); width: 80%; max-width: 500px; z-index: 1000;">
            <!-- Titre de la popup -->
            <h2 class="text-center">Mes objets empruntés</h2>
            <!-- Liste des objets empruntés -->
            <ul id="borrowedItemsList" class="list-group">
            </ul>
            <!-- Bouton pour fermer la popup -->
            <div style="display: flex; justify-content: space-between; margin-bottom: 10px;">
                <!-- Bouton pour sélectionner tous les éléments -->
                <button id="selectAllButton" onclick="selectAll()" class="btn btn-primary">Select All</button>
                <!-- Bouton pour desélectionner tous les éléments -->
                <button id="deselectAllButton" onclick="deselectAll()" class="btn btn-primary"
                    style="display: none;">Deselect All</button>
                <!-- Bouton pour rendre les éléments sélectionnés -->
                <button onclick="unborrowSelected()" class="btn btn-primary">Unborrow</button>
            </div>
            <!-- Bouton pour fermer la popup, sur sa propre ligne -->
            <button onclick="closeMyItemsPopup()" class="btn btn-secondary d-block mx-auto">Fermer</button>
        </div>


        <div id="popupBackground"
            style="display:none; position: fixed; top: 0; left: 0; width: 100%; height: 100%; background-color: rgba(0, 0, 0, 0.5); z-index: 999;">
        </div>

    </div>
    <!--FIN DE LA PARTIE DE MAJID-->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
        integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"
        integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.min.js"
        integrity="sha384-w1Q4orYjBQndcko6MimVbzY0tgp4pWB4lZ7lr30WKz0vr/aWKhXdBNmNb5D92v7s"
        crossorigin="anonymous"></script>
    <script src="assets/js/script.js"></script>

</body>

</html>